<?php

use yii\db\Migration;

/**
 * Handles the creation of table `question`.
 */
class m180522_130149_create_question_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('question', [
            'id' => $this->primaryKey(),
            'name' => $this->string(),
            'email' => $this->string(),
            'question' => $this->text(),
            'answer'   => $this->text(),
            'status' => $this->boolean(),
            'service_id' => $this->integer(),
            'created_at' => $this->integer(),
            'updated_at' => $this->integer(),
            
        ]);
        
        $this->addForeignKey('question_service_fk',
                            'question',
                            'service_id',
                            'service',
                            'id',
                            'SET NULL',
                            'CASCADE');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey('question_service_fk', 'question');
        $this->dropTable('question');
    }
}
